Bug 1275171 - windows guest balloon device doesn't return the correct statistics info
windows guest balloon device doesn't return the correct statistics info
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Gal Hammer
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 04:26 EDT by Yiqian Wei
Modified: 2016-03-28 05:48 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 04:03:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yiqian Wei 2015-10-26 04:26:34 EDT
Description of problem:
For windows, QMP 'qom-get' command result negtive value. For linux guest.  'qom-get' command works well.


Version-Release number of selected component (if applicable):

Host:
# uname -r
3.10.0-324.el7.x86_64
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-2.3.0-31.el7.x86_64
virtio-win-1.8.0-4.el7

Guest: win8 and win10


How reproducible:

100%

Steps to Reproduce:
1./usr/libexec/qemu-kvm -name win8 -machine pc-i440fx-rhel7.2.0,accel=kvm -cpu SandyBridge -m 4G -smp 4,sockets=2,cores=2,threads=1 -uuid 82b1a01e-5f6c-4f5f-8d27-3855a74e6b6b \

 -netdev tap,id=hostnet0  -device virtio-net-pci,netdev=hostnet0,id=net0,mac=12:54:00:5c:81:6d \

 -device qxl-vga,id=video0,ram_size=67108864,vram_size=67108864,vgamem_mb=16 -spice port=5931,addr=0.0.0.0,disable-ticketing,image-compression=off,seamless-migration=on -monitor stdio \

 -serial unix:/tmp/monitor,server,nowait -qmp tcp:0:4447,server,nowait -boot order=cd -vnc :13 -usbdevice tablet \

 -device virtio-balloon-pci,bus=pci.0,addr=0x6,id=balloon0 \

 -device ide-drive,drive=drive-virtio-disk0,id=virtio-disk0 -drive file=/root/yiwei/win8.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,cache=none -boot menu=on \

 -cdrom /usr/share/virtio-win/virtio-win-1.8.0.iso \

2.On QMP:telnet 10.66.10.61 4447

{'execute': 'qmp_capabilities', 'id': 'tyZFv2em'}
{"return": {}, "id": "tyZFv2em"}
{'execute': 'qom-set', 'arguments': {'path': '/machine/peripheral/balloon0', 'property': 'guest-stats-polling-interval', 'value': 2}}
{"return": {}}
{'execute': 'qom-get', 'arguments': {'path': '/machine/peripheral/balloon0', "property": "guest-stats" }}
{"return": {"stats": {"stat-swap-out": -1, "stat-free-memory": -1, "stat-minor-faults": -1, "stat-major-faults": -1, "stat-total-memory": -1, "stat-swap-in": -1}, "last-update": 1445841194}}


Actual results:

 {"return": {"stats": {"stat-swap-out": -1, "stat-free-memory": -1, "stat-minor-faults": -1, "stat-major-faults": -1, "stat-total-memory": -1, "stat-swap-in": -1}, "last-update": 1445841194}}

Expected results:

Should show correct value


Additional info:
Comment 2 Gal Hammer 2015-10-27 05:43:30 EDT
Is the balloon service is running in the guest?
Comment 3 Yiqian Wei 2015-10-27 23:12:31 EDT
(In reply to Gal Hammer from comment #2)
> Is the balloon service is running in the guest?

QE can get expect result after booting balloon service(blnsvr.exe -i) inside guest


{'execute': 'qom-get', 'arguments': {'path': '/machine/peripheral/balloon0', "property": "guest-stats" }}
{"return": {"stats": {"stat-swap-out": 0, "stat-free-memory": 3547332608, "stat-minor-faults": 11, "stat-major-faults": 0, "stat-total-memory": 4294430720, "stat-swap-in": 0}, "last-update": 1446000730}}
Comment 4 Gal Hammer 2015-10-28 04:03:37 EDT
(In reply to Yiqian Wei from comment #3)
> (In reply to Gal Hammer from comment #2)
> > Is the balloon service is running in the guest?
> 
> QE can get expect result after booting balloon service(blnsvr.exe -i) inside
> guest
> 
> 
> {'execute': 'qom-get', 'arguments': {'path': '/machine/peripheral/balloon0',
> "property": "guest-stats" }}
> {"return": {"stats": {"stat-swap-out": 0, "stat-free-memory": 3547332608,
> "stat-minor-faults": 11, "stat-major-faults": 0, "stat-total-memory":
> 4294430720, "stat-swap-in": 0}, "last-update": 1446000730}}

Thanks for the verification. Closing.

Note You need to log in before you can comment on or make changes to this bug.